import { defineStore } from 'pinia'
import { reactive } from 'vue'
import { setToken, deleteToken } from '@/utils/auth'
import { smsLogin } from '@/api/common/index'
import { logout } from '@/api/common/index'

export const userLocaleStore = defineStore('user',
  () => {
    let userInfo = reactive({})
    // 登录
    const handleLogin = async (data) => {
      return new Promise((resolve, reject) => {
        smsLogin(data).then(res => {
          const { data } = res
          console.log(data, 'res-login')
          setToken(data.accessToken)
          userInfo = data
          localStorage.setItem('userInfo', JSON.stringify(data))
          localStorage.setItem('expiresTime', data.expiresTime) // token过期时间
          resolve()
        }).catch(err => { reject(err) })
      })
    }
    // 退出登录
    const userLogout = async () => {
      await logout()
      deleteToken()
      userInfo = {}
      localStorage.clear()
    }
    return {
      userInfo,
      handleLogin,
      userLogout
    }
  },
  {
    persist: true,
  }
)

